Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.expression
Class CriteriaImpl

    java.lang.Object
      com.beasys.commerce.foundation.expression.ExpressionImpl
          com.beasys.commerce.foundation.expression.CriteriaImpl

All Implemented Interfaces
  Criteria, Expression, Serializable, Cloneable, Comparable

Deprecated Use `Expression` instead.

    public class CriteriaImpl

extends ExpressionImpl
implements Criteria, Cloneable

The default Criteria implementation.

Unlinke most Belonging implementations, this does not attempt to clone everything.

See Also
  `ExpressionHelper`, Serialized Form

Field Summary
`String` | `comparator` Deprecated The comparision operator.
`Object` | `criteria` Deprecated The criteria value.
`String` | `property` Deprecated The property name.
`String` | `scope` Deprecated The property scope.

Fields inherited from class com.beasys.commerce.foundation.expression.ExpressionImpl
`not`

Constructor Summary
`CriteriaImpl()` Deprecated Constructor.

Method Summary
`int` | `compareTo(Object o)` Deprecated Compare this belonging to another
`String` | `getComparator()` Deprecated Get the value of comparator
`Object` | `getCriteria()` Deprecated Get the value of criteria
`String` | `getProperty()` Deprecated Get the value of property
`String` | `getScope()` Deprecated Get the value of scope
`String` | `interfaceName()` Deprecated interfaceName() returns the unqualified name of the interface from the UML model.
`void` | `setByValue(Object value)` Deprecated It is possible to call set-by-value with a superclass.
`void` | `setComparator(String comparator)` Deprecated Set the value of comparator
`void` | `setCriteria(Object criteria)` Deprecated Set the value of criteria
`void` | `setProperty(String property)` Deprecated Set the value of property
`void` | `setScope(String scope)` Deprecated Set the value of scope
`Object` | `value()` Deprecated value() is a more typesafe implementation of clone()
`void` | `valueOf(String expression)` Deprecated Set this Criteria's attributes from the specified query sting, which must be of the form "property comparator criteria" (e.g.

Methods inherited from class com.beasys.commerce.foundation.expression.ExpressionImpl
`clone, equals, getNot, setNot, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.beasys.commerce.foundation.expression.Expression
`getNot, setNot, toString`

Field Detail

### criteria

    public Object criteria

  Deprecated
  The criteria value.
  - Containment: By Value
  - Multiplicity: 1:1

### property

    public String property

  Deprecated
  The property name.
  - Containment: By Value
  - Multiplicity: 1:1

### scope

    public String scope

  Deprecated
  The property scope.
  - Containment: By Value
  - Multiplicity: 1:1

### comparator

    public String comparator

  Deprecated
  The comparision operator.
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### CriteriaImpl

    public CriteriaImpl()

  Deprecated
  Constructor.

  All values are initialized to null.

Method Detail

### getCriteria

    public Object getCriteria()

  Deprecated
  Get the value of criteria

  Specified by:
    `getCriteria` in interface `Criteria`

### setCriteria

    public void setCriteria(Object criteria)

  Deprecated
  Set the value of criteria

  Specified by:
    `setCriteria` in interface `Criteria`
  Parameters
    `criteria` - criteria to be added

### getProperty

    public String getProperty()

  Deprecated
  Get the value of property

  Specified by:
    `getProperty` in interface `Criteria`

### setProperty

    public void setProperty(String property)

  Deprecated
  Set the value of property

  Specified by:
    `setProperty` in interface `Criteria`

### getScope

    public String getScope()

  Deprecated
  Get the value of scope

  Specified by:
    `getScope` in interface `Criteria`

### setScope

    public void setScope(String scope)

  Deprecated
  Set the value of scope

  Specified by:
    `setScope` in interface `Criteria`

### getComparator

    public String getComparator()

  Deprecated
  Get the value of comparator

  Specified by:
    `getComparator` in interface `Criteria`

### setComparator

    public void setComparator(String comparator)

  Deprecated
  Set the value of comparator

  Specified by:
    `setComparator` in interface `Criteria`

### value

    public Object value()

  Deprecated
  value() is a more typesafe implementation of clone()

  Specified by:
    `value` in interface `Expression`
  Overrides:
    `value` in class `ExpressionImpl`
  Returns
    a clone of this instance

### interfaceName

    public String interfaceName()

  Deprecated
  interfaceName() returns the unqualified name of the interface from the UML model.

  Specified by:
    `interfaceName` in interface `Expression`
  Overrides:
    `interfaceName` in class `ExpressionImpl`
  Returns
    the unqualified name of the belonging interface

### setByValue

    public void setByValue(Object value)

  Deprecated
  It is possible to call set-by-value with a superclass.

  If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values. It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Specified by:
    `setByValue` in interface `Expression`
  Overrides:
    `setByValue` in class `ExpressionImpl`

### compareTo

    public int compareTo(Object o)

  Deprecated
  Compare this belonging to another

  Specified by:
    `compareTo` in interface `Comparable`
  Overrides:
    `compareTo` in class `ExpressionImpl`
  Parameters
    `o` - target object for comparision
  Returns
    0 objects are equal

### valueOf

    public void valueOf(String expression)
                 throws IllegalArgumentException

  Deprecated
  Set this Criteria's attributes from the specified query sting, which must be of the form "property comparator criteria" (e.g. "identifier == '1234').

  Specified by:
    `valueOf` in interface `Expression`
  Overrides:
    `valueOf` in class `ExpressionImpl`
  Throws
    `IllegalArgumentException` - thrown on an invalid expression string.
  See Also
    `ExpressionHelper.parse(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.